# Administration Reference

## bos getdate

Purpose

Displays the time stamps on an AFS binary file

Synopsis

    bos getdate -server <machine name>  -file <files to check>+
                [-dir <destination dir>]  [-cell <cell name>]
                [-noauth]  [-localauth]  [-help]

    bos getd -s <machine name>  -f <files to check>+  [-d <destination dir>]
             [-c <cell name>]  [-n]  [-l]  [-h]

Description

The bos getdate command displays the time stamps on the current version,`.BAK` version (if any) and `.OLD` version (if any) of each binary file named by the -file argument. (The BOS Server automatically creates `.BAK` and `.OLD` versions when new binaries are installed with the bos install command.) The files must reside in the /usr/afs/bin directory on the server machine named by the -server argument unless the -dir argument indicates an alternate directory.

To revert to the `.BAK` version of a binary, use the bos uninstall command. To remove obsolete binary files from the /usr/afs/bin directory, use the bos prune command.

Options

-server
  Indicates the server machine from which to list binary files. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see the introductory reference page for the bos command suite.

  All server machines of the same AFS system type show the same timestamps if the binaries were installed properly on the binary distribution machine for this machine's system type, and if all other machines of that type are running the appropriate upclientbin process.

-file
  Names each binary file to list.

-dir
  Specifies the complete pathname of the local disk directory containing each file named by the -file argument. It is necessary only if the files are not in the /usr/afs/bin directory.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory bos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory bos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see the introductory bos reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

For each file specified with the -file argument, the output displays the time stamp on the current (unmarked), `.BAK`, and `.OLD` version. The output explicitly reports that a version does not exist, rather than simply omitting it.

Examples

The following command examines the time stamps on the files with basename kaserver on the machine fs2.abc.com:

       % bos getdate -server fs2.abc.com -file kaserver
       File /usr/afs/bin/kaserver dated Mon Jan 4 10:00:36 1999.
       .BAK file dated Wed Dec 9 18:55:04 1998, no .OLD file.

Privilege Required

None

Related Information

KeyFile

bos

bos install

bos prune

bos uninstall

© IBM Corporation 2000. All Rights Reserved